import request from '@/utils/request'

// 查询资产盘点明细列表
export function listDetail(query) {
  return request({
    url: '/inventory/detail/list',
    method: 'get',
    params: query
  })
}

// 查询资产盘点明细详细
export function getDetail(id) {
  return request({
    url: '/inventory/detail/' + id,
    method: 'get'
  })
}

// 新增资产盘点明细
export function addDetail(data) {
  return request({
    url: '/inventory/detail',
    method: 'post',
    data: data
  })
}

// 修改资产盘点明细
export function updateDetail(data) {
  return request({
    url: '/inventory/detail',
    method: 'put',
    data: data
  })
}

// 删除资产盘点明细
export function delDetail(id) {
  return request({
    url: '/inventory/detail/' + id,
    method: 'delete'
  })
}
